<?xml version="1.0" encoding="utf-8"?>
<root xmlns:android="http://schemas.android.com/apk/res/android">
	<trace enable="true"/>
	<init>
		<log text="Lebian Plugin Init"/>
	</init>
	<prebuildCopies>
		<log text="Copying lebian_files directory before build"/>
		<copyDir src="$S(PluginDir)/../../Config/lebian_files"
					dst="$S(BuildDir)/gradle/lebian_files" />

	</prebuildCopies>
	
	<resourceCopies>
		<copyFile src="$S(PluginDir)/../../AAR/lebian-release.aar"
							dst="$S(BuildDir)/libs/lebian-release.aar" />
	</resourceCopies>
	
	<AARImports> 
		<insertNewline/>		
	</AARImports>
	<buildGradleAdditions> 
		<insert>
apply plugin: 'com.loveota.lbsdk'

android {
	defaultConfig {
		multiDexKeepProguard rootProject.file('lebian_files/multiDexKeep.pro')
	}
}
dependencies{
	implementation fileTree(include: ['*.aar'], dir: 'libs')	
}
		</insert>
	</buildGradleAdditions>
	<buildscriptGradleAdditions> 
		<insert>
repositories {
    maven {
         url 'https://maven.cnb.cool/lebiansdk/lbplugin/-/packages/'
    }
    mavenCentral()
	google()
 }
dependencies {
    classpath 'com.loveota.plugins.new:lbplugin:latest.release'
}
		</insert>
	</buildscriptGradleAdditions>
	
	<proguardAdditions>
		<insert>
-keep class android.support.** {*;}
-keep class com.excelliance.** {*;}
		</insert>
	</proguardAdditions>
</root>


